Bug 1508384 - Review Request: git-publish - Prepare and store patch revisions as git tags
Summary: Review Request: git-publish - Prepare and store patch revisions as git tags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 10:56 UTC by Stefan Hajnoczi
Modified: 2017-11-28 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 20:49:04 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Stefan Hajnoczi 2017-11-01 10:56:52 UTC
Spec URL: https://github.com/stefanha/git-publish/blob/master/git-publish.spec
SRPM URL: https://kojipkgs.fedoraproject.org/work/tasks/345/22840345/git-publish-1.3-1.fc26.src.rpm

Description:
git-publish handles repetitive and time-consuming details of managing patch
email submission.  It works with individual patches as well as patch series and
has support for pull request emails.

Each revision is stored as a git tag including the cover letter (if any).  This
makes it easy to refer back to previous revisions of a patch.  Numbering is
handled automatically and the To:/Cc: email addresses are remembered across
revisions to save you retyping them.

Many projects have conventions for submitting patches.  It is possible to
encode them as a .gitpublish file and hooks/ scripts.  This automatically uses
the right settings and can run a coding style checker or linting tools before
emails are sent.

Fedora Account System Username: stefanha

This is my first Fedora package and I have asked rjones to be my sponsor.  I am the upstream maintainer for git-publish and also maintain a git-publish Copr repo here: https://copr.fedorainfracloud.org/coprs/stefanha/git-publish/.

Comment 1 Igor Gnatenko 2017-11-01 11:02:52 UTC
* Give links to RAW text, not to html ones.. https://raw.githubusercontent.com/stefanha/git-publish/master/git-publish.spec

> %build
is not needed

> Requires:       python2 >= 2.7
is not needed

* YOu should patch shebang to be /usr/bin/python3
  * Because /usr/bin/env is wrong
  * And because python3 is the right interpreter unless there is good reason to keep it py2

> Source0:        https://github.com/stefanha/git-publish/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

---

Apart from this, package looks good. Did you send introduction to devel@lists.fedoraproject.org ?

Comment 2 Stefan Hajnoczi 2017-11-01 11:12:05 UTC
(In reply to Igor Gnatenko from comment #1)
> * Give links to RAW text, not to html ones..
> https://raw.githubusercontent.com/stefanha/git-publish/master/git-publish.
> spec
> 
> > %build
> is not needed
> 
> > Requires:       python2 >= 2.7
> is not needed
> 
> * YOu should patch shebang to be /usr/bin/python3
>   * Because /usr/bin/env is wrong
>   * And because python3 is the right interpreter unless there is good reason
> to keep it py2
> 
> > Source0:        https://github.com/stefanha/git-publish/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
> Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
> 
> ---
> 
> Apart from this, package looks good. Did you send introduction to
> devel@lists.fedoraproject.org ?

Thanks for your feedback, Igor.  I will address them and post an update.

Will send an introduction to devel@lists.fedoraproject.org too.

Comment 3 Stefan Hajnoczi 2017-11-02 17:57:12 UTC
I have address the feedback in Comment 1 and released git-publish 1.4 upstream with Python 3 support:

Spec URL: https://raw.githubusercontent.com/stefanha/git-publish/master/git-publish.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8886/22868886/git-publish-1.4-1.fc26.noarch.rpm

Comment 4 Stefan Hajnoczi 2017-11-02 17:58:31 UTC
(In reply to Stefan Hajnoczi from comment #3)
> SRPM URL:
> https://kojipkgs.fedoraproject.org//work/tasks/8886/22868886/git-publish-1.4-
> 1.fc26.noarch.rpm

Sorry, this should be the SRPM, not the binary RPM:

SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/8886/22868886/git-publish-1.4-1.fc26.src.rpm

Comment 5 Igor Gnatenko 2017-11-04 08:52:48 UTC
> %if 0%{?fedora}
%if ! (%0%{?rhel} && 0%{?rhel} <= 7)

> /usr/bin/python3
%{__python3}

---

Apart from 2 things above, looks good. Don't forget to fix it during import.

Comment 6 Gwyn Ciesla 2017-11-06 12:03:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/git-publish

Comment 7 Fedora Update System 2017-11-08 00:07:32 UTC
git-publish-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd3da7edb2

Comment 8 Fedora Update System 2017-11-08 10:38:43 UTC
git-publish-1.4.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-893971aa25

Comment 9 Fedora Update System 2017-11-08 10:53:34 UTC
git-publish-1.4.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8a148ce945

Comment 10 Fedora Update System 2017-11-08 12:32:17 UTC
git-publish-1.4.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9fdf5dd6bd

Comment 11 Fedora Update System 2017-11-08 20:31:45 UTC
git-publish-1.4.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9fdf5dd6bd

Comment 12 Fedora Update System 2017-11-08 23:58:08 UTC
git-publish-1.4.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-893971aa25

Comment 13 Fedora Update System 2017-11-09 02:07:31 UTC
git-publish-1.4.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8a148ce945

Comment 14 Fedora Update System 2017-11-16 20:49:04 UTC
git-publish-1.4.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-21 23:28:42 UTC
git-publish-1.4.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-28 19:37:51 UTC
git-publish-1.4.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.